# Uses of Class
org.springframework.instrument.classloading.ShadowingClassLoader

Packages that use ShadowingClassLoader
Package
Description
org.springframework.instrument.classloading
Support package for load time weaving based on class loaders, as required by JPA providers (but not JPA-specific).

## Uses of ShadowingClassLoader in org.springframework.instrument.classloading

Subclasses of ShadowingClassLoader in org.springframework.instrument.classloading
Modifier and Type
Class
Description
`class`
`ResourceOverridingShadowingClassLoader`
Subclass of ShadowingClassLoader that overrides attempts to locate certain files.
Methods in org.springframework.instrument.classloading with parameters of type ShadowingClassLoader
Modifier and Type
Method
Description
`void`
ShadowingClassLoader.`copyTransformers(ShadowingClassLoader other)`
Copy all ClassFileTransformers from the given ClassLoader to the list of transformers that this ClassLoader will apply.